var type_payment_phone = $('#type_payment_phone').data('type-payment-phones');
var Type_PaymentPhone = new Type(type_payment_phone);
var Type_CadastroPessoa = new Type($('[data-tipo-pessoa]').data('tipo-pessoa'));

$('.js-checkbox-holder').on('click', function() {
  if ($(this).is(':checked')) {
    $('.js-holder-content')
      .find('input[name=cpf]')
      .prop('disabled', true);
    $('.js-holder-content').addClass('hidden');
    $('.js-customer-content').removeClass('hidden');
  } else {
    $('.js-holder-content')
      .find('input[name=cpf]')
      .prop('disabled', false);
    $('.js-holder-content').removeClass('hidden');
    $('.js-customer-content').addClass('hidden');
  }
});

function setMaskPhone(value, $inputfone) {
  $inputfone.removeClass('mask-celular, mask-phone');

  switch (parseInt(value)) {
    case Type_PaymentPhone.Tp_Celular:
      $inputfone.addClass('mask-celular');
      break;
    case Type_PaymentPhone.Tp_Telefone:
    case Type_PaymentPhone.Tp_Fax:
      $inputfone.addClass('mask-phone');
      break;
    default:
      $inputfone.addClass('mask-celular');
  }
}

$('select[name="tipo_telefone"]').change(function() {
  setMaskPhone($(this).val(), $('input[name="numero_telefone"]'));
});

$('select[name="customer_tipo_telefone"]').change(function() {
  setMaskPhone($(this).val(), $('input[name="customer_numero_telefone"]'));
});

setMaskPhone($('select[name="tipo_telefone"]').val(), $('input[name="numero_telefone"]'));
setMaskPhone($('select[name="customer_tipo_telefone"]').val(), $('input[name="customer_numero_telefone"]'));

function setTypePerson(value) {
  if (value == Type_CadastroPessoa.Tp_Fisico) {
    $('.js-content-fisica').removeClass('hidden');
    $('.js-content-juridica').addClass('hidden');
  } else {
    $('.js-content-juridica').removeClass('hidden');
    $('.js-content-fisica').addClass('hidden');
  }
}

$('input[name="pessoa"]').on('click', function() {
  setTypePerson($(this).val());
});

setTypePerson($('input[name="pessoa"]:checked').val());
